<?php
/*
Officity - Web application platform - Version 6.0 - 2011-07-05

François Dispaux, Boris Verdeyen, Thomas Hermant,
Jérémie Roy, Grégory Meurice, Abdelila Harbi, 
Marc Mignonsin, Jonathan Sanchez, Julien Gonzalez, Pierre Fouchez

Sushee and Officity is © Copyright 2011 Nectil SA.

`/sushee-source/sushee/private/unsuscribeContact.inc.php` is part of Officity.

Sushee is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Officity and Sushee are distributed in the hope that they will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Sushee. If not, see <http://www.gnu.org/licenses/>.
*/
require_once(dirname(__FILE__)."/../private/mailing_functions.inc.php");
function unsuscribeContact($name,$xml,$requestName,$current_path,$firstNode,$firstNodePath){
	$viewing_code = $xml->getData($firstNodePath.'/@viewing_code');
	if(!$viewing_code)
		return generateMsgXML(1,"No viewing code in the request.",0,0,$name);
	if(strlen($viewing_code)>32){
		$mailingID = substr($viewing_code,33);
		$viewing_code = substr($viewing_code,0,32);
	}else
		return generateMsgXML(1,"Viewing code invalid.",0,0,$name);
	$db_conn = db_connect();
	$recip = getMailingRecipient($mailingID,$viewing_code);
	if(!$recip){
		return generateMsgXML(1,"Viewing code invalid.",0,0,$name);
	}
	$contactModuleInfo = moduleInfo('contact');
	$contact = getInfo($contactModuleInfo,$recip['ContactID']);
	if($contact['Privacy1']!=1){
		$sql = 'UPDATE `contacts` SET `Privacy1`=1 WHERE `ID`='.$recip['ContactID'];
		$db_conn->Execute($sql);
		$sql ='UPDATE `mailings` SET `NbrUnsuscribed`=`NbrUnsuscribed`+1 WHERE `ID`='.$mailingID;
		$db_conn->Execute($sql);
		setMailingRecipientStatus($mailingID,$viewing_code,"unsuscribed");
	}
	
	return generateMsgXML(0,"Unsuscription successfull.",0,0,$name);
}

?>